package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ElectricConsume;
import com.lightinit.hsdatashow.entity.ElectricConsumeExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface ElectricConsumeMapper {
    long countByExample(ElectricConsumeExample example);

    int deleteByExample(ElectricConsumeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ElectricConsume record);

    int insertSelective(ElectricConsume record);

    List<ElectricConsume> selectByExample(ElectricConsumeExample example);

    ElectricConsume selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ElectricConsume record, @Param("example") ElectricConsumeExample example);

    int updateByExample(@Param("record") ElectricConsume record, @Param("example") ElectricConsumeExample example);

    int updateByPrimaryKeySelective(ElectricConsume record);

    int updateByPrimaryKey(ElectricConsume record);

    List<ChartModel> getElectricConsume();
}